DESeq2 intstallation probem on fedora
1
0
Entering edit mode
2.7 years ago

Hi,

I am trying to install DESeq2 on my Fedora but I am getting this error.

read.c:548:18: note: each undeclared identifier is reported only once for each function it appears in make: *** [read.o] Error 1 ERROR: compilation failed for package ‘fansi’
* removing ‘/usr/lib64/R/library/fansi’ ERROR: dependency ‘fansi’ is not available for package ‘pillar’
* removing ‘/usr/lib64/R/library/pillar’ ERROR: dependency ‘pillar’ is not available for package ‘tibble’
* removing ‘/usr/lib64/R/library/tibble’ ERROR: dependency ‘tibble’ is not available for package ‘ggplot2’
* removing ‘/usr/lib64/R/library/ggplot2’ ERROR: dependency ‘ggplot2’ is not available for package ‘viridis’
* removing ‘/usr/lib64/R/library/viridis’ ERROR: dependencies ‘ggplot2’, ‘viridis’ are not available for package ‘Hmisc’
* removing ‘/usr/lib64/R/library/Hmisc’ ERROR: dependencies ‘RcppArmadillo’, ‘ggplot2’, ‘Hmisc’ are not available for package ‘DESeq2’
* removing ‘/usr/lib64/R/library/DESeq2’

The downloaded source packages are in   ‘/tmp/RtmpL2xcJK/downloaded_packages’ Updating HTML index of packages in '.Library' Making 'packages.html' ... done Warning messages: 1: In install.packages(pkgs = doing, lib = lib, ...) :   installation of package ‘fansi’ had non-zero exit status 2: In install.packages(pkgs = doing, lib = lib, ...) :   installation of package ‘pillar’ had non-zero exit status 3: In install.packages(pkgs = doing, lib = lib, ...) :   installation of package ‘tibble’ had non-zero exit status 4: In install.packages(pkgs = doing, lib = lib, ...) :   installation of package ‘ggplot2’ had non-zero exit status 5: In install.packages(pkgs
= doing, lib = lib, ...) :   installation of package ‘viridis’ had non-zero exit status 6: In install.packages(pkgs = doing, lib = lib, ...) :   installation of package ‘Hmisc’ had non-zero exit status 7: In install.packages(pkgs = doing, lib = lib, ...) :   installation of package ‘DESeq2’ had non-zero exit status

I've read and people suggest to install libcurl4-openssl-dev libxml2-dev and this should fix the problem.

I can't apply this solution because as I understand there are some changes in Ferora's dependencies.

https://fedoraproject.org/wiki/User:Axilleas/GitLab

so when I type: yum install libxml2-dev I get:

Loaded plugins: langpacks, refresh-packagekit No package libxml2-dev available. 
Error: Nothing to do

but when I type: yum install libxml2-devel

Loaded plugins: langpacks, refresh-packagekit Package
libxml2-devel-2.9.1-4.fc20.x86_64 already installed and latest version
Nothing to do

The same for libcurl4-openssl-dev / l/ibcurl-devel combination.

Still DESeq is not installed. What should I do?

next-gen normalization • 1.1k views
ADD COMMENT
0
Entering edit mode

Are you installing DESeq2 using biocLite?

ADD REPLY
0
Entering edit mode

I tryied many times to install this packege in R with these commands. Always the same error.

ADD REPLY
0
Entering edit mode

Is your R version up-to-date?

ADD REPLY
0
Entering edit mode

I have the newest R version 3.5

ADD REPLY
0
Entering edit mode

Please use ADD COMMENT/ADD REPLY when responding to existing posts to keep threads logically organized. This comment should have gone under @ATPoint's answer.

ADD REPLY
0
Entering edit mode
2.7 years ago
ATpoint 47k
## Use Bioconductor within R to install packages:
source("https://bioconductor.org/biocLite.R")
biocLite()
biocLite("DESeq2")
ADD COMMENT

Login before adding your answer.

Traffic: 2563 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6